"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_fontawesome_1 = require("@fortawesome/react-fontawesome");
const free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
const FlowHeader = (props) => {
    const onDelete = (event) => {
        event.preventDefault();
        props.onPop();
    };
    return (react_1.default.createElement("div", { className: "row" },
        react_1.default.createElement("div", { className: "col-4 col-sm-2" },
            react_1.default.createElement("h4", null, props.title ? props.title : 'Flow')),
        react_1.default.createElement("div", { className: "col" },
            react_1.default.createElement("div", { className: "btn-toolbar", role: "toolbar", "aria-label": "flow actions" },
                react_1.default.createElement("div", { className: "btn-group-sm", role: "group" },
                    props.clients.indexOf('uniflow') !== -1 && props.isPlaying === false && (react_1.default.createElement("button", { type: "button", className: "btn btn-primary", onClick: props.onPlay },
                        react_1.default.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faPlay }))),
                    props.clients.indexOf('uniflow') !== -1 && props.isPlaying === true && (react_1.default.createElement("button", { type: "button", className: "btn" },
                        react_1.default.createElement("span", { className: "spinner-border spinner-border-sm", role: "status", "aria-hidden": "true" })))))),
        react_1.default.createElement("div", { className: "d-block col-auto" },
            react_1.default.createElement("div", { className: "btn-toolbar", role: "toolbar", "aria-label": "flow actions" },
                react_1.default.createElement("div", { className: "btn-group-sm", role: "group" },
                    react_1.default.createElement("button", { type: "button", className: "btn", onClick: onDelete },
                        react_1.default.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faTimes })))))));
};
exports.default = FlowHeader;
