"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const components_1 = require("../components");
const react_fontawesome_1 = require("@fortawesome/react-fontawesome");
const free_regular_svg_icons_1 = require("@fortawesome/free-regular-svg-icons");
const Search = (props) => {
    const { programFlows } = props;
    const [search, setSearch] = (0, react_1.useState)('@uniflow-io/uniflow-flow-function');
    const onSubmit = (event) => {
        event.preventDefault();
        if (props.onPush) {
            props.onPush(search);
        }
    };
    const onChange = (value) => {
        setSearch(value);
    };
    return (react_1.default.createElement("form", { className: "form-sm-horizontal", onSubmit: onSubmit },
        react_1.default.createElement("div", { className: "row mb-3" },
            react_1.default.createElement("label", { htmlFor: "search", className: "col-sm-2 col-form-label" }, "Flow"),
            react_1.default.createElement("div", { className: "col-sm-10" },
                react_1.default.createElement("div", { className: "input-group" },
                    react_1.default.createElement("div", { className: "form-select" },
                        react_1.default.createElement(components_1.Select, { value: search, onChange: onChange, className: "form-control pull-right", id: "search", options: programFlows.map((flow) => {
                                return { value: flow.key, label: flow.label };
                            }) })),
                    react_1.default.createElement("button", { type: "submit", className: "input-group-text" },
                        react_1.default.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: free_regular_svg_icons_1.faDotCircle })))))));
};
exports.default = Search;
