"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiNotFoundException = exports.ApiNotAuthorizedException = exports.ApiValidateException = void 0;
class ApiValidateException extends Error {
    errors;
    constructor(errors) {
        super('api exception');
        this.errors = errors;
        this.errors = { ...errors };
    }
}
exports.ApiValidateException = ApiValidateException;
class ApiNotAuthorizedException extends Error {
}
exports.ApiNotAuthorizedException = ApiNotAuthorizedException;
class ApiNotFoundException extends Error {
}
exports.ApiNotFoundException = ApiNotFoundException;
