"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LOG_STATUS = void 0;
const moment_1 = __importDefault(require("moment"));
var LOG_STATUS;
(function (LOG_STATUS) {
    LOG_STATUS["NEW"] = "NEW";
    LOG_STATUS["READ"] = "READ";
})(LOG_STATUS = exports.LOG_STATUS || (exports.LOG_STATUS = {}));
class Log {
    created;
    id = 0;
    message = '';
    status = LOG_STATUS.NEW;
    constructor(data) {
        Object.assign(this, data);
        this.created = (0, moment_1.default)();
    }
}
exports.default = Log;
