"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const typedi_1 = require("typedi");
let Env = class Env {
    envs;
    constructor() {
        this.envs = {
            env: process.env.GATSBY_ACTIVE_ENV,
            clientUrl: process.env.GATSBY_CLIENT_URL,
            apiUrl: process.env.GATSBY_API_URL,
            facebookAppId: process.env.GATSBY_FACEBOOK_APP_ID,
            githubAppId: process.env.GATSBY_GITHUB_APP_ID,
            trackingId: process.env.GATSBY_TRACKING_ID,
        };
    }
    get(name) {
        return this.envs[name];
    }
};
Env = __decorate([
    (0, typedi_1.Service)(),
    __metadata("design:paramtypes", [])
], Env);
exports.default = Env;
