"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const routes_1 = require("../../routes");
const gatsby_1 = require("gatsby");
const articleItem_1 = __importDefault(require("./articleItem"));
const Tag = (props) => {
    const { tag, articles } = props;
    return (react_1.default.createElement("section", { className: "section container-fluid" },
        react_1.default.createElement("h3", null, "Tag"),
        react_1.default.createElement("div", { className: "row" },
            react_1.default.createElement("div", { className: "col-sm-6 offset-sm-3" },
                react_1.default.createElement("p", null,
                    articles.edges.length,
                    " posts tagged with ",
                    react_1.default.createElement("strong", null, tag)),
                react_1.default.createElement("p", null,
                    react_1.default.createElement("div", { className: "d-grid" },
                        react_1.default.createElement(gatsby_1.Link, { to: (0, routes_1.pathTo)('tags'), className: "btn btn-primary" }, "View all tags"))))),
        react_1.default.createElement("div", { className: "row" },
            react_1.default.createElement("div", { className: "col-sm-12" }, articles.edges.map((item, i) => (react_1.default.createElement("div", { className: "row mb-3", key: i },
                react_1.default.createElement("div", { className: "col-md-6 offset-md-3" },
                    react_1.default.createElement(articleItem_1.default, { article: item.node })))))))));
};
exports.default = Tag;
