"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const navigation_1 = __importDefault(require("./navigation"));
const program_1 = __importDefault(require("./program"));
const folder_1 = __importDefault(require("./folder"));
const feed_1 = require("../../contexts/feed");
const Feed = (props) => {
    const { allFlows } = props;
    const { feed } = (0, feed_1.useFeed)();
    const currentItem = (0, feed_1.getFeedItem)(feed);
    return (react_1.default.createElement("div", { className: "container-fluid" },
        react_1.default.createElement("div", { className: "row flex-sm-nowrap" },
            react_1.default.createElement(navigation_1.default, { type: currentItem && currentItem.type }),
            currentItem && currentItem.type === 'program' && (react_1.default.createElement(program_1.default, { program: currentItem.entity, allFlows: allFlows })),
            currentItem && currentItem.type === 'folder' && (react_1.default.createElement(folder_1.default, { folder: currentItem.entity })))));
};
exports.default = Feed;
