"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const typedi_1 = require("typedi");
class Container {
    init;
    constructor(init = false) {
        this.init = init;
    }
    get(id) {
        if (!this.init) {
            const env = process.env.GATSBY_ACTIVE_ENV || process.env.NODE_ENV || 'development';
            typedi_1.Container.set('env', env);
            this.init = true;
        }
        return typedi_1.Container.get(id);
    }
}
exports.default = Container;
