"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const navigation_1 = __importDefault(require("./navigation"));
const library_mdx_1 = __importDefault(require("./library.mdx"));
const components_1 = require("../../components");
const Library = (props) => {
    const { library } = props;
    return (react_1.default.createElement("div", { className: "container-fluid" },
        react_1.default.createElement("div", { className: "row flex-sm-nowrap" },
            react_1.default.createElement(navigation_1.default, { library: library }),
            react_1.default.createElement("section", { className: "section section-with-sidebar col" },
                react_1.default.createElement(components_1.MDXProvider, null,
                    react_1.default.createElement(library_mdx_1.default, null))))));
};
exports.default = Library;
